Obtain a list of previously generated webhook events
This endpoint provides the webhook events generated for your project since a given point in time, using cursor-based pagination. It can be used to reconcile or replay events, for example where your webhook endpoint was unavailable at the time an event was sent.
GET
/
user-events-cursor
Obtain a list of previously generated webhook events
The date and time that events should be returned from, in milliseconds since epoch. Filtering is inclusive: events that occurred at or after this time are included.
The next page of results that can be used within the pageToken query param for further results. Null when there are no further results.
Minimum string length: 1
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"rhino.fi - Docs","colors":{"primary":"#EC6530","light":"#FFAE6E","dark":"#EC6530"},"logo":{"light":"https://mintcdn.com/rhinofi/HGZOBv0k7QrdOe9G/logo/light.svg?fit=max\u0026auto=format\u0026n=HGZOBv0k7QrdOe9G\u0026q=85\u0026s=f00220627b114f0d5385756ccb61f55e","dark":"https://mintcdn.com/rhinofi/HGZOBv0k7QrdOe9G/logo/dark.svg?fit=max\u0026auto=format\u0026n=HGZOBv0k7QrdOe9G\u0026q=85\u0026s=6c233cf6099c635a00dcdb3643ea41cf"},"favicon":"https://mintcdn.com/rhinofi/HGZOBv0k7QrdOe9G/favicon.png?fit=max\u0026auto=format\u0026n=HGZOBv0k7QrdOe9G\u0026q=85\u0026s=32cac0eb60b5a965cb7308ad1eafefe8","api":{"mdx":{"server":"https://api.rhino.fi/bridge"}},"navbar":{"links":[{"href":"https://go.crisp.chat/chat/embed/?website_id=598d8062-c46b-40e7-a7cd-0bf2061390a5","label":"Support"}],"primary":{"type":"button","label":"Talk to the team","href":"https://rhino.fi/contact"}},"footer":{"socials":{"x":"https://x.com/rhinofi","github":"https://github.com/rhinofi"}},"fonts":{"family":"Geist"},"integrations":{"heap":{"appId":"3649556247"}},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Rhino.fi Console","icon":"code","href":"https://console.rhino.fi"},{"anchor":"Website","icon":"globe","href":"https://rhino.fi/"},{"anchor":"Blog","icon":"newspaper","href":"https://rhino.fi/blog/"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"rhinofi","hasAudioNarration":false,"actualSubdomain":"rhinofi","customDomains":["docs.rhino.fi"],"gitSource":{"type":"github","owner":"rhinofi","repo":"rhino-public-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae4a50ef49f5b7aedfded9e","collectionId":"5c7b2aa0-65a9-47f4-8337-45a4347604b6","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae4a50ef49f5b7aedfded9e"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae4a50ef49f5b7aedfded9e","clientVersion":"0.0.4054","searchFilterCounts":[{"language":"default","tag":"Guides","count":55},{"language":"default","tag":"API Reference","count":25},{"language":"default","tag":"SDK","count":18},{"language":"default","tag":"Get Started","count":13},{"language":"default","tag":"Bridge \u0026 swap endpoints","count":13},{"language":"default","tag":"SDA endpoints","count":9},{"language":"default","tag":"depositAddresses","count":9},{"language":"default","tag":"Chain Adapters","count":8},{"language":"default","tag":"API Integration","count":7},{"language":"default","tag":"Extensions","count":7}]},"assistantConfig":{"enableAskAiButton":true,"enableAskAiSearchBar":false},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":true},"customCss":[],"page":{"pagePath":"api-reference/webhook/user-events/obtain-a-list-of-previously-generated-webhook-events","slug":"/api-reference/webhook/user-events/obtain-a-list-of-previously-generated-webhook-events","pageMetadata":{"title":"Obtain a list of previously generated webhook events","description":"This endpoint provides the webhook events generated for your project since a given point in time, using cursor-based pagination. It can be used to reconcile or replay events, for example where your webhook endpoint was unavailable at the time an event was sent.","deprecated":null,"version":null,"openapi":"https://api.rhino.fi/webhook/swagger.json get /user-events-cursor","href":"/api-reference/webhook/user-events/obtain-a-list-of-previously-generated-webhook-events","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"This endpoint provides the webhook events generated for your project since a given point in time, using cursor-based pagination. It can be used to reconcile or replay events, for example where your webhook endpoint was unavailable at the time an event was sent.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Obtain a list of previously generated webhook events","description":"This endpoint provides the webhook events generated for your project since a given point in time, using cursor-based pagination. It can be used to reconcile or replay events, for example where your webhook endpoint was unavailable at the time an event was sent.","deprecated":null,"version":null,"openapi":"https://api.rhino.fi/webhook/swagger.json get /user-events-cursor","href":"/api-reference/webhook/user-events/obtain-a-list-of-previously-generated-webhook-events","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["user-events"],"operationId":"user-events.user-events-cursor","parameters":["4a03025a-37d6-4e15-bcca-dd1f6b5c6e47","bb78edd3-02f3-4948-a3be-ca0ecd3e312a","42af3b76-1fcc-4ae4-a708-0156da9657f4"],"security":["89c45730-a70b-4efb-ae91-73932035eb9b","65350340-7e30-4c69-922c-6e5eefbd7bce"],"responses":{"200":"170d0df3-d315-4390-b818-fd734923c01b","400":"d0115151-69cb-4da7-a5f4-8ecdb013b71f","401":"361df0ba-8c54-49be-93ff-03a628d9259f"},"description":"This endpoint provides the webhook events generated for your project since a given point in time, using cursor-based pagination. It can be used to reconcile or replay events, for example where your webhook endpoint was unavailable at the time an event was sent.","summary":"Obtain a list of previously generated webhook events","method":"get","type":"path","servers":["b9e9aa9c-e313-4c38-b71a-0179939aa476"],"path":"/user-events-cursor","baseUrlOptions":["https://api.rhino.fi/webhook"],"title":"Obtain a list of previously generated webhook events","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"4a03025a-37d6-4e15-bcca-dd1f6b5c6e47":{"name":"sinceTimestamp","in":"query","schema":{"type":"string","description":"The date and time that events should be returned from, in milliseconds since epoch. Filtering is inclusive: events that occurred at or after this time are included.","isRequired":true,"uniqueKey":"","typeLabel":"string"},"required":true},"bb78edd3-02f3-4948-a3be-ca0ecd3e312a":{"name":"pageToken","in":"query","schema":{"type":"string","description":"Cursor returned as nextPageToken by a previous page","isRequired":false,"uniqueKey":"","typeLabel":"string"},"required":false},"42af3b76-1fcc-4ae4-a708-0156da9657f4":{"name":"pageSize","in":"query","schema":{"type":"string","isRequired":false,"uniqueKey":"","typeLabel":"string"},"required":false}},"responses":{"170d0df3-d315-4390-b818-fd734923c01b":{"description":"WebhookUserEventsCursorResponse","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"oneOf":[{"type":"object","required":["_id","userId","chainIn","chainOut","amountIn","amountInUsd","amountOut","amountOutUsd","amountNative","amountNativeUsd","fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd","sponsoredFees","recipient","depositor","createdAt","commitmentDate","token","usdPrice","_tag","type"],"properties":{"_id":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0._id","typeLabel":"string"},"userId":{"type":"string","description":"The projectID that the transaction is associated with.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.userId","typeLabel":"string"},"chainIn":{"type":"string","description":"The blockchain that the tokens were bridged from.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.chainIn","typeLabel":"string"},"chainOut":{"type":"string","description":"The blockchain that the tokens were bridged to.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.chainOut","typeLabel":"string"},"amountIn":{"type":"string","description":"The native value of the tokens that were sent on the chainIn.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.amountIn","typeLabel":"string"},"amountInUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainIn.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.amountInUsd","typeLabel":"number"},"amountOut":{"type":"string","description":"The native value of the tokens that were sent on the chainOut.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.amountOut","typeLabel":"string"},"amountOutUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainOut.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.amountOutUsd","typeLabel":"number"},"amountNative":{"oneOf":[{"type":"string","description":"The amount of native gas token (e.g. ETH, MATIC, BNB) that was delivered to the user's wallet on the destination chain as part of gas boost functionality, where Rhino.fi delivers a small amount of native gas token to the destination address, ensuring that further transactions from this address can be made immediately.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.amountNative.oneOf.0","typeLabel":"string"},{"type":"null","description":"The amount of native gas token (e.g. ETH, MATIC, BNB) that was delivered to the user's wallet on the destination chain as part of gas boost functionality, where Rhino.fi delivers a small amount of native gas token to the destination address, ensuring that further transactions from this address can be made immediately.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.amountNative.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.amountNative","typeLabel":"string | null"},"amountNativeUsd":{"oneOf":[{"type":"number","description":"The value, in USD, of amountNative.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.amountNativeUsd.oneOf.0","typeLabel":"number"},{"type":"null","description":"The value, in USD, of amountNative.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.amountNativeUsd.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.amountNativeUsd","typeLabel":"number | null"},"fee":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.fee","typeLabel":"string"},"feeUsd":{"type":"number","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.feeUsd","typeLabel":"number"},"gasFee":{"type":"string","description":"Any chain specific costs charged to the end customer for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being paid by the client then this value will be zero and the gasFee and gasFeeUsd in the sponsored fee body will be non-zero.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.gasFee","typeLabel":"string"},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.gasFeeUsd","typeLabel":"number"},"platformFee":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.platformFee","typeLabel":"string"},"platformFeeUsd":{"type":"number","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.platformFeeUsd","typeLabel":"number"},"percentageFee":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.percentageFee","typeLabel":"string"},"percentageFeeUsd":{"type":"number","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.percentageFeeUsd","typeLabel":"number"},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the end customer, unless configured this way. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.sourceGasFee","typeLabel":"string"},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.sourceGasFeeUsd","typeLabel":"number"},"sponsoredFees":{"type":"object","properties":{"fee":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.sponsoredFees.fee","typeLabel":"string"},"feeUsd":{"type":"number","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.sponsoredFees.feeUsd","typeLabel":"number"},"gasFee":{"type":"string","description":"Any chain specific costs charged to the client for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being passed on to the end user then this value will be zero and the gasFee and gasFeeUsd in the main fee body will be non-zero.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.sponsoredFees.gasFee","typeLabel":"string"},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.sponsoredFees.gasFeeUsd","typeLabel":"number"},"platformFee":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.sponsoredFees.platformFee","typeLabel":"string"},"platformFeeUsd":{"type":"number","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.sponsoredFees.platformFeeUsd","typeLabel":"number"},"percentageFee":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.sponsoredFees.percentageFee","typeLabel":"string"},"percentageFeeUsd":{"type":"number","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.sponsoredFees.percentageFeeUsd","typeLabel":"number"},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the client, unless configured to be passed onto the end customer. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.sponsoredFees.sourceGasFee","typeLabel":"string"},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.sponsoredFees.sourceGasFeeUsd","typeLabel":"number"}},"required":["fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd"],"additionalProperties":false,"description":"For both legacy and PAYG/Subscription clients, represents the fees that are paid by the client on behalf of the end customer.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.sponsoredFees","typeLabel":"object"},"recipient":{"type":"string","description":"The address on the chainOut that received the bridged tokens.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.recipient","typeLabel":"string"},"depositor":{"type":"string","description":"The address on the chainIn that sent the tokens for bridging.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.depositor","typeLabel":"string"},"createdAt":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.createdAt","typeLabel":"string"},"commitmentDate":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.commitmentDate","typeLabel":"string"},"token":{"type":"string","description":"The token symbol that was bridged (e.g. \"ETH\", \"USDC\").","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.token","typeLabel":"string"},"usdPrice":{"type":"number","description":"The USD price of the token at the time the quote was created.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.usdPrice","typeLabel":"number"},"_tag":{"type":"string","enum":["BRIDGE_PENDING"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0._tag","typeLabel":"enum\u003cstring>"},"type":{"type":"string","enum":["bridge"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.type","typeLabel":"enum\u003cstring>"},"speed":{"type":"string","enum":["fast","standard","slow"],"description":"Provides information about whether the transaction is expected to be completed \"fast\" (typically under 30 seconds), \"standard\" (typically under a minute) or \"slow\" (can be up to 20 minutes). For more information on our bridge processing speeds please read this article on the Rhino.fi Knowledge Base: https://learn.rhino.fi/articles/8257872655-bridge-speed.","uniqueKey":"\\items.items.[INDEX].oneOf.0.speed","typeLabel":"enum\u003cstring>"},"estimatedDuration":{"oneOf":[{"type":"number","uniqueKey":"\\items.items.[INDEX].oneOf.0.estimatedDuration.oneOf.0","typeLabel":"number"},{"type":"string","enum":["Infinity","-Infinity","NaN"],"uniqueKey":"\\items.items.[INDEX].oneOf.0.estimatedDuration.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"\\items.items.[INDEX].oneOf.0.estimatedDuration","typeLabel":"number | enum\u003cstring>"},"postBridgeData":{"oneOf":[{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag","vaultId"],"properties":{"_tag":{"type":"string","enum":["extended"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.postBridgeData.oneOf.0._tag","typeLabel":"enum\u003cstring>"},"vaultId":{"type":"integer","minimum":0,"description":"A variable relating to the specific post bridge action.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.postBridgeData.oneOf.0.vaultId","typeLabel":"integer"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.0.postBridgeData.oneOf.0","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag"],"properties":{"_tag":{"type":"string","enum":["starkwarebtcfi"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.postBridgeData.oneOf.1._tag","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.0.postBridgeData.oneOf.1","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag"],"properties":{"_tag":{"type":"string","enum":["wirexwrap"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.postBridgeData.oneOf.2._tag","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.0.postBridgeData.oneOf.2","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag"],"properties":{"_tag":{"type":"string","enum":["wirexwrapsandbox"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.postBridgeData.oneOf.3._tag","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.0.postBridgeData.oneOf.3","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag","spans"],"properties":{"_tag":{"type":"string","enum":["starkwarebtcfiv2"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.postBridgeData.oneOf.4._tag","typeLabel":"enum\u003cstring>"},"spans":{"type":"array","items":{"type":"string","uniqueKey":"\\items.items.[INDEX].oneOf.0.postBridgeData.oneOf.4.spans.items.[INDEX]","typeLabel":"string"},"maxItems":70,"description":"A variable relating to the specific post bridge action.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.postBridgeData.oneOf.4.spans","typeLabel":"string[]"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.0.postBridgeData.oneOf.4","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag"],"properties":{"_tag":{"type":"string","enum":["aavev3supply"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.postBridgeData.oneOf.5._tag","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.0.postBridgeData.oneOf.5","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag"],"properties":{"_tag":{"type":"string","enum":["rocketfoundationdeposit"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.postBridgeData.oneOf.6._tag","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.0.postBridgeData.oneOf.6","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag"],"properties":{"_tag":{"type":"string","enum":["mapledeposit"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.postBridgeData.oneOf.7._tag","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.0.postBridgeData.oneOf.7","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag"],"properties":{"_tag":{"type":"string","enum":["etherfideposit"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.0.postBridgeData.oneOf.8._tag","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.0.postBridgeData.oneOf.8","typeLabel":"object"}],"uniqueKey":"\\items.items.[INDEX].oneOf.0.postBridgeData","typeLabel":"object"},"flowCredits":{"type":"number","description":"The number of Flow Credits that this transaction will use from the client's agreed Rhino.fi PAYG/Subscription tier.","uniqueKey":"\\items.items.[INDEX].oneOf.0.flowCredits","typeLabel":"number"},"chain":{"oneOf":[{"type":"string","description":"The name of the chain on which the single bridge transaction took place.","uniqueKey":"\\items.items.[INDEX].oneOf.0.chain.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"\\items.items.[INDEX].oneOf.0.chain.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].oneOf.0.chain","typeLabel":"string | null"},"depositAddress":{"type":"string","description":"The Rhino.fi smart contract address on the chainIn that received the tokens to initiate the bridge.","uniqueKey":"\\items.items.[INDEX].oneOf.0.depositAddress","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.0","typeLabel":"object"},{"type":"object","required":["_tag","_id","userId","chainIn","chainOut","amountIn","amountInUsd","amountOut","amountOutUsd","amountNative","amountNativeUsd","fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd","sponsoredFees","recipient","depositor","createdAt","commitmentDate","tokenIn","tokenOut","minAmountOut","minAmountOutUsd","usdPriceTokenIn","usdPriceTokenOut","type"],"properties":{"_tag":{"type":"string","enum":["BRIDGE_PENDING"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1._tag","typeLabel":"enum\u003cstring>"},"_id":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1._id","typeLabel":"string"},"userId":{"type":"string","description":"The projectID that the transaction is associated with.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.userId","typeLabel":"string"},"chainIn":{"type":"string","description":"The blockchain that the tokens were bridged from.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.chainIn","typeLabel":"string"},"chainOut":{"type":"string","description":"The blockchain that the tokens were bridged to.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.chainOut","typeLabel":"string"},"amountIn":{"type":"string","description":"The native value of the tokens that were sent on the chainIn.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.amountIn","typeLabel":"string"},"amountInUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainIn.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.amountInUsd","typeLabel":"number"},"amountOut":{"type":"string","description":"The native value of the tokens that were sent on the chainOut.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.amountOut","typeLabel":"string"},"amountOutUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainOut.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.amountOutUsd","typeLabel":"number"},"amountNative":{"oneOf":[{"type":"string","description":"The amount of native gas token (e.g. ETH, MATIC, BNB) that was delivered to the user's wallet on the destination chain as part of gas boost functionality, where Rhino.fi delivers a small amount of native gas token to the destination address, ensuring that further transactions from this address can be made immediately.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.amountNative.oneOf.0","typeLabel":"string"},{"type":"null","description":"The amount of native gas token (e.g. ETH, MATIC, BNB) that was delivered to the user's wallet on the destination chain as part of gas boost functionality, where Rhino.fi delivers a small amount of native gas token to the destination address, ensuring that further transactions from this address can be made immediately.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.amountNative.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.amountNative","typeLabel":"string | null"},"amountNativeUsd":{"oneOf":[{"type":"number","description":"The value, in USD, of amountNative.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.amountNativeUsd.oneOf.0","typeLabel":"number"},{"type":"null","description":"The value, in USD, of amountNative.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.amountNativeUsd.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.amountNativeUsd","typeLabel":"number | null"},"fee":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.fee","typeLabel":"string"},"feeUsd":{"type":"number","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.feeUsd","typeLabel":"number"},"gasFee":{"type":"string","description":"Any chain specific costs charged to the end customer for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being paid by the client then this value will be zero and the gasFee and gasFeeUsd in the sponsored fee body will be non-zero.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.gasFee","typeLabel":"string"},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.gasFeeUsd","typeLabel":"number"},"platformFee":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.platformFee","typeLabel":"string"},"platformFeeUsd":{"type":"number","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.platformFeeUsd","typeLabel":"number"},"percentageFee":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.percentageFee","typeLabel":"string"},"percentageFeeUsd":{"type":"number","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.percentageFeeUsd","typeLabel":"number"},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the end customer, unless configured this way. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.sourceGasFee","typeLabel":"string"},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.sourceGasFeeUsd","typeLabel":"number"},"sponsoredFees":{"type":"object","properties":{"fee":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.sponsoredFees.fee","typeLabel":"string"},"feeUsd":{"type":"number","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.sponsoredFees.feeUsd","typeLabel":"number"},"gasFee":{"type":"string","description":"Any chain specific costs charged to the client for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being passed on to the end user then this value will be zero and the gasFee and gasFeeUsd in the main fee body will be non-zero.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.sponsoredFees.gasFee","typeLabel":"string"},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.sponsoredFees.gasFeeUsd","typeLabel":"number"},"platformFee":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.sponsoredFees.platformFee","typeLabel":"string"},"platformFeeUsd":{"type":"number","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.sponsoredFees.platformFeeUsd","typeLabel":"number"},"percentageFee":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.sponsoredFees.percentageFee","typeLabel":"string"},"percentageFeeUsd":{"type":"number","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.sponsoredFees.percentageFeeUsd","typeLabel":"number"},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the client, unless configured to be passed onto the end customer. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.sponsoredFees.sourceGasFee","typeLabel":"string"},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.sponsoredFees.sourceGasFeeUsd","typeLabel":"number"}},"required":["fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd"],"additionalProperties":false,"description":"For both legacy and PAYG/Subscription clients, represents the fees that are paid by the client on behalf of the end customer.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.sponsoredFees","typeLabel":"object"},"recipient":{"type":"string","description":"The address on the chainOut that received the bridged tokens.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.recipient","typeLabel":"string"},"depositor":{"type":"string","description":"The address on the chainIn that sent the tokens for bridging.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.depositor","typeLabel":"string"},"createdAt":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.createdAt","typeLabel":"string"},"commitmentDate":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.commitmentDate","typeLabel":"string"},"tokenIn":{"type":"string","description":"The asset that was sent on the chainIn.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.tokenIn","typeLabel":"string"},"tokenOut":{"type":"string","description":"The asset that was received on the chainOut.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.tokenOut","typeLabel":"string"},"minAmountOut":{"type":"string","description":"The minimum native value of tokenOut guaranteed to be received on the chainOut, after slippage.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.minAmountOut","typeLabel":"string"},"minAmountOutUsd":{"type":"number","description":"The USD value of the minAmountOut.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.minAmountOutUsd","typeLabel":"number"},"usdPriceTokenIn":{"type":"number","description":"The USD price of the tokenIn at the time the quote was created.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.usdPriceTokenIn","typeLabel":"number"},"usdPriceTokenOut":{"type":"number","description":"The USD price of the tokenOut at the time the quote was created.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.usdPriceTokenOut","typeLabel":"number"},"type":{"type":"string","enum":["bridgeSwap"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.type","typeLabel":"enum\u003cstring>"},"speed":{"type":"string","enum":["fast","standard","slow"],"description":"Provides information about whether the transaction is expected to be completed \"fast\" (typically under 30 seconds), \"standard\" (typically under a minute) or \"slow\" (can be up to 20 minutes). For more information on our bridge processing speeds please read this article on the Rhino.fi Knowledge Base: https://learn.rhino.fi/articles/8257872655-bridge-speed.","uniqueKey":"\\items.items.[INDEX].oneOf.1.speed","typeLabel":"enum\u003cstring>"},"estimatedDuration":{"oneOf":[{"type":"number","uniqueKey":"\\items.items.[INDEX].oneOf.1.estimatedDuration.oneOf.0","typeLabel":"number"},{"type":"string","enum":["Infinity","-Infinity","NaN"],"uniqueKey":"\\items.items.[INDEX].oneOf.1.estimatedDuration.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"\\items.items.[INDEX].oneOf.1.estimatedDuration","typeLabel":"number | enum\u003cstring>"},"postBridgeData":{"oneOf":[{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag","vaultId"],"properties":{"_tag":{"type":"string","enum":["extended"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postBridgeData.oneOf.0._tag","typeLabel":"enum\u003cstring>"},"vaultId":{"type":"integer","minimum":0,"description":"A variable relating to the specific post bridge action.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postBridgeData.oneOf.0.vaultId","typeLabel":"integer"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postBridgeData.oneOf.0","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag"],"properties":{"_tag":{"type":"string","enum":["starkwarebtcfi"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postBridgeData.oneOf.1._tag","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postBridgeData.oneOf.1","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag"],"properties":{"_tag":{"type":"string","enum":["wirexwrap"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postBridgeData.oneOf.2._tag","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postBridgeData.oneOf.2","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag"],"properties":{"_tag":{"type":"string","enum":["wirexwrapsandbox"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postBridgeData.oneOf.3._tag","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postBridgeData.oneOf.3","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag","spans"],"properties":{"_tag":{"type":"string","enum":["starkwarebtcfiv2"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postBridgeData.oneOf.4._tag","typeLabel":"enum\u003cstring>"},"spans":{"type":"array","items":{"type":"string","uniqueKey":"\\items.items.[INDEX].oneOf.1.postBridgeData.oneOf.4.spans.items.[INDEX]","typeLabel":"string"},"maxItems":70,"description":"A variable relating to the specific post bridge action.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postBridgeData.oneOf.4.spans","typeLabel":"string[]"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postBridgeData.oneOf.4","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag"],"properties":{"_tag":{"type":"string","enum":["aavev3supply"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postBridgeData.oneOf.5._tag","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postBridgeData.oneOf.5","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag"],"properties":{"_tag":{"type":"string","enum":["rocketfoundationdeposit"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postBridgeData.oneOf.6._tag","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postBridgeData.oneOf.6","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag"],"properties":{"_tag":{"type":"string","enum":["mapledeposit"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postBridgeData.oneOf.7._tag","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postBridgeData.oneOf.7","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag"],"properties":{"_tag":{"type":"string","enum":["etherfideposit"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postBridgeData.oneOf.8._tag","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postBridgeData.oneOf.8","typeLabel":"object"}],"uniqueKey":"\\items.items.[INDEX].oneOf.1.postBridgeData","typeLabel":"object"},"flowCredits":{"type":"number","description":"The number of Flow Credits that this transaction will use from the client's agreed Rhino.fi PAYG/Subscription tier.","uniqueKey":"\\items.items.[INDEX].oneOf.1.flowCredits","typeLabel":"number"},"preSwap":{"type":"object","properties":{"tokenIn":{"type":"string","description":"The asset that was swapped from.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.preSwap.tokenIn","typeLabel":"string"},"tokenOut":{"type":"string","description":"The asset that was swapped to.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.preSwap.tokenOut","typeLabel":"string"},"amountIn":{"type":"string","description":"The native value of the tokens that were swapped from.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.preSwap.amountIn","typeLabel":"string"},"amountInUsd":{"type":"number","description":"The USD value of the tokens that were swapped from.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.preSwap.amountInUsd","typeLabel":"number"},"amountOut":{"type":"string","description":"The native value of the tokens that were received from the swap.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.preSwap.amountOut","typeLabel":"string"},"amountOutUsd":{"type":"number","description":"The USD value of the tokens that were received from the swap.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.preSwap.amountOutUsd","typeLabel":"number"},"minAmountOut":{"type":"string","description":"The minimum native value of tokens guaranteed to be received from the swap, after slippage.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.preSwap.minAmountOut","typeLabel":"string"},"minAmountOutUsd":{"type":"number","description":"The USD value of the minAmountOut.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.preSwap.minAmountOutUsd","typeLabel":"number"},"aggregator":{"oneOf":[{"type":"string","title":"KYBERSWAP","description":"The swap aggregator used to execute the swap.","enum":["KYBERSWAP"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.preSwap.aggregator.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"string","title":"RHINO","description":"The swap aggregator used to execute the swap.","enum":["RHINO"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.preSwap.aggregator.oneOf.1","typeLabel":"enum\u003cstring>"},{"type":"string","title":"ONEINCH","description":"The swap aggregator used to execute the swap.","enum":["ONEINCH"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.preSwap.aggregator.oneOf.2","typeLabel":"enum\u003cstring>"},{"type":"string","title":"BEBOP","description":"The swap aggregator used to execute the swap.","enum":["BEBOP"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.preSwap.aggregator.oneOf.3","typeLabel":"enum\u003cstring>"}],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.preSwap.aggregator","typeLabel":"enum\u003cstring>"}},"required":["tokenIn","tokenOut","amountIn","amountInUsd","amountOut","amountOutUsd","minAmountOut","minAmountOutUsd","aggregator"],"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.1.preSwap","typeLabel":"object"},"postSwap":{"type":"object","properties":{"tokenIn":{"type":"string","description":"The asset that was swapped from.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postSwap.tokenIn","typeLabel":"string"},"tokenOut":{"type":"string","description":"The asset that was swapped to.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postSwap.tokenOut","typeLabel":"string"},"amountIn":{"type":"string","description":"The native value of the tokens that were swapped from.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postSwap.amountIn","typeLabel":"string"},"amountInUsd":{"type":"number","description":"The USD value of the tokens that were swapped from.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postSwap.amountInUsd","typeLabel":"number"},"amountOut":{"type":"string","description":"The native value of the tokens that were received from the swap.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postSwap.amountOut","typeLabel":"string"},"amountOutUsd":{"type":"number","description":"The USD value of the tokens that were received from the swap.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postSwap.amountOutUsd","typeLabel":"number"},"minAmountOut":{"type":"string","description":"The minimum native value of tokens guaranteed to be received from the swap, after slippage.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postSwap.minAmountOut","typeLabel":"string"},"minAmountOutUsd":{"type":"number","description":"The USD value of the minAmountOut.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postSwap.minAmountOutUsd","typeLabel":"number"},"aggregator":{"oneOf":[{"type":"string","title":"KYBERSWAP","description":"The swap aggregator used to execute the swap.","enum":["KYBERSWAP"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postSwap.aggregator.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"string","title":"RHINO","description":"The swap aggregator used to execute the swap.","enum":["RHINO"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postSwap.aggregator.oneOf.1","typeLabel":"enum\u003cstring>"},{"type":"string","title":"ONEINCH","description":"The swap aggregator used to execute the swap.","enum":["ONEINCH"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postSwap.aggregator.oneOf.2","typeLabel":"enum\u003cstring>"},{"type":"string","title":"BEBOP","description":"The swap aggregator used to execute the swap.","enum":["BEBOP"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postSwap.aggregator.oneOf.3","typeLabel":"enum\u003cstring>"}],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postSwap.aggregator","typeLabel":"enum\u003cstring>"}},"required":["tokenIn","tokenOut","amountIn","amountInUsd","amountOut","amountOutUsd","minAmountOut","minAmountOutUsd","aggregator"],"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.1.postSwap","typeLabel":"object"},"mode":{"type":"string","enum":["pay","receive"],"description":"Whether the amount represented the sending (\"pay\") or receiving (\"receive\") amount when the quote was generated.","uniqueKey":"\\items.items.[INDEX].oneOf.1.mode","typeLabel":"enum\u003cstring>"},"isAtomicSwap":{"type":"boolean","description":"Whether the transaction was executed as an atomic swap.","uniqueKey":"\\items.items.[INDEX].oneOf.1.isAtomicSwap","typeLabel":"boolean"},"swapFeeMultiplier":{"type":"string","uniqueKey":"\\items.items.[INDEX].oneOf.1.swapFeeMultiplier","typeLabel":"string"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.1","typeLabel":"object"},{"type":"object","required":["_id","userId","chainIn","chainOut","amountIn","amountInUsd","amountOut","amountOutUsd","amountNative","amountNativeUsd","fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd","sponsoredFees","recipient","depositor","createdAt","commitmentDate","token","usdPrice","_tag","depositTxHash","depositCommittedAt","type"],"properties":{"_id":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2._id","typeLabel":"string"},"userId":{"type":"string","description":"The projectID that the transaction is associated with.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.userId","typeLabel":"string"},"chainIn":{"type":"string","description":"The blockchain that the tokens were bridged from.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.chainIn","typeLabel":"string"},"chainOut":{"type":"string","description":"The blockchain that the tokens were bridged to.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.chainOut","typeLabel":"string"},"amountIn":{"type":"string","description":"The native value of the tokens that were sent on the chainIn.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.amountIn","typeLabel":"string"},"amountInUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainIn.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.amountInUsd","typeLabel":"number"},"amountOut":{"type":"string","description":"The native value of the tokens that were sent on the chainOut.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.amountOut","typeLabel":"string"},"amountOutUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainOut.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.amountOutUsd","typeLabel":"number"},"amountNative":{"oneOf":[{"type":"string","description":"The amount of native gas token (e.g. ETH, MATIC, BNB) that was delivered to the user's wallet on the destination chain as part of gas boost functionality, where Rhino.fi delivers a small amount of native gas token to the destination address, ensuring that further transactions from this address can be made immediately.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.amountNative.oneOf.0","typeLabel":"string"},{"type":"null","description":"The amount of native gas token (e.g. ETH, MATIC, BNB) that was delivered to the user's wallet on the destination chain as part of gas boost functionality, where Rhino.fi delivers a small amount of native gas token to the destination address, ensuring that further transactions from this address can be made immediately.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.amountNative.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.amountNative","typeLabel":"string | null"},"amountNativeUsd":{"oneOf":[{"type":"number","description":"The value, in USD, of amountNative.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.amountNativeUsd.oneOf.0","typeLabel":"number"},{"type":"null","description":"The value, in USD, of amountNative.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.amountNativeUsd.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.amountNativeUsd","typeLabel":"number | null"},"fee":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.fee","typeLabel":"string"},"feeUsd":{"type":"number","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.feeUsd","typeLabel":"number"},"gasFee":{"type":"string","description":"Any chain specific costs charged to the end customer for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being paid by the client then this value will be zero and the gasFee and gasFeeUsd in the sponsored fee body will be non-zero.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.gasFee","typeLabel":"string"},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.gasFeeUsd","typeLabel":"number"},"platformFee":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.platformFee","typeLabel":"string"},"platformFeeUsd":{"type":"number","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.platformFeeUsd","typeLabel":"number"},"percentageFee":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.percentageFee","typeLabel":"string"},"percentageFeeUsd":{"type":"number","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.percentageFeeUsd","typeLabel":"number"},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the end customer, unless configured this way. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.sourceGasFee","typeLabel":"string"},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.sourceGasFeeUsd","typeLabel":"number"},"sponsoredFees":{"type":"object","properties":{"fee":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.sponsoredFees.fee","typeLabel":"string"},"feeUsd":{"type":"number","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.sponsoredFees.feeUsd","typeLabel":"number"},"gasFee":{"type":"string","description":"Any chain specific costs charged to the client for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being passed on to the end user then this value will be zero and the gasFee and gasFeeUsd in the main fee body will be non-zero.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.sponsoredFees.gasFee","typeLabel":"string"},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.sponsoredFees.gasFeeUsd","typeLabel":"number"},"platformFee":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.sponsoredFees.platformFee","typeLabel":"string"},"platformFeeUsd":{"type":"number","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.sponsoredFees.platformFeeUsd","typeLabel":"number"},"percentageFee":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.sponsoredFees.percentageFee","typeLabel":"string"},"percentageFeeUsd":{"type":"number","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.sponsoredFees.percentageFeeUsd","typeLabel":"number"},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the client, unless configured to be passed onto the end customer. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.sponsoredFees.sourceGasFee","typeLabel":"string"},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.sponsoredFees.sourceGasFeeUsd","typeLabel":"number"}},"required":["fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd"],"additionalProperties":false,"description":"For both legacy and PAYG/Subscription clients, represents the fees that are paid by the client on behalf of the end customer.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.sponsoredFees","typeLabel":"object"},"recipient":{"type":"string","description":"The address on the chainOut that received the bridged tokens.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.recipient","typeLabel":"string"},"depositor":{"type":"string","description":"The address on the chainIn that sent the tokens for bridging.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.depositor","typeLabel":"string"},"createdAt":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.createdAt","typeLabel":"string"},"commitmentDate":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.commitmentDate","typeLabel":"string"},"token":{"type":"string","description":"The token symbol that was bridged (e.g. \"ETH\", \"USDC\").","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.token","typeLabel":"string"},"usdPrice":{"type":"number","description":"The USD price of the token at the time the quote was created.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.usdPrice","typeLabel":"number"},"_tag":{"type":"string","enum":["BRIDGE_ACCEPTED"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2._tag","typeLabel":"enum\u003cstring>"},"depositTxHash":{"type":"string","description":"The transaction hash of the deposit made on the chainIn.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.depositTxHash","typeLabel":"string"},"depositCommittedAt":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.depositCommittedAt","typeLabel":"string"},"type":{"type":"string","enum":["bridge"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.type","typeLabel":"enum\u003cstring>"},"speed":{"type":"string","enum":["fast","standard","slow"],"description":"Provides information about whether the transaction is expected to be completed \"fast\" (typically under 30 seconds), \"standard\" (typically under a minute) or \"slow\" (can be up to 20 minutes). For more information on our bridge processing speeds please read this article on the Rhino.fi Knowledge Base: https://learn.rhino.fi/articles/8257872655-bridge-speed.","uniqueKey":"\\items.items.[INDEX].oneOf.2.speed","typeLabel":"enum\u003cstring>"},"estimatedDuration":{"oneOf":[{"type":"number","uniqueKey":"\\items.items.[INDEX].oneOf.2.estimatedDuration.oneOf.0","typeLabel":"number"},{"type":"string","enum":["Infinity","-Infinity","NaN"],"uniqueKey":"\\items.items.[INDEX].oneOf.2.estimatedDuration.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"\\items.items.[INDEX].oneOf.2.estimatedDuration","typeLabel":"number | enum\u003cstring>"},"postBridgeData":{"oneOf":[{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag","vaultId"],"properties":{"_tag":{"type":"string","enum":["extended"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.postBridgeData.oneOf.0._tag","typeLabel":"enum\u003cstring>"},"vaultId":{"type":"integer","minimum":0,"description":"A variable relating to the specific post bridge action.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.postBridgeData.oneOf.0.vaultId","typeLabel":"integer"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.2.postBridgeData.oneOf.0","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag"],"properties":{"_tag":{"type":"string","enum":["starkwarebtcfi"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.postBridgeData.oneOf.1._tag","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.2.postBridgeData.oneOf.1","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag"],"properties":{"_tag":{"type":"string","enum":["wirexwrap"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.postBridgeData.oneOf.2._tag","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.2.postBridgeData.oneOf.2","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag"],"properties":{"_tag":{"type":"string","enum":["wirexwrapsandbox"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.postBridgeData.oneOf.3._tag","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.2.postBridgeData.oneOf.3","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag","spans"],"properties":{"_tag":{"type":"string","enum":["starkwarebtcfiv2"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.postBridgeData.oneOf.4._tag","typeLabel":"enum\u003cstring>"},"spans":{"type":"array","items":{"type":"string","uniqueKey":"\\items.items.[INDEX].oneOf.2.postBridgeData.oneOf.4.spans.items.[INDEX]","typeLabel":"string"},"maxItems":70,"description":"A variable relating to the specific post bridge action.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.postBridgeData.oneOf.4.spans","typeLabel":"string[]"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.2.postBridgeData.oneOf.4","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag"],"properties":{"_tag":{"type":"string","enum":["aavev3supply"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.postBridgeData.oneOf.5._tag","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.2.postBridgeData.oneOf.5","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag"],"properties":{"_tag":{"type":"string","enum":["rocketfoundationdeposit"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.postBridgeData.oneOf.6._tag","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.2.postBridgeData.oneOf.6","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag"],"properties":{"_tag":{"type":"string","enum":["mapledeposit"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.postBridgeData.oneOf.7._tag","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.2.postBridgeData.oneOf.7","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag"],"properties":{"_tag":{"type":"string","enum":["etherfideposit"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.2.postBridgeData.oneOf.8._tag","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.2.postBridgeData.oneOf.8","typeLabel":"object"}],"uniqueKey":"\\items.items.[INDEX].oneOf.2.postBridgeData","typeLabel":"object"},"flowCredits":{"type":"number","description":"The number of Flow Credits that this transaction will use from the client's agreed Rhino.fi PAYG/Subscription tier.","uniqueKey":"\\items.items.[INDEX].oneOf.2.flowCredits","typeLabel":"number"},"chain":{"oneOf":[{"type":"string","description":"The name of the chain on which the single bridge transaction took place.","uniqueKey":"\\items.items.[INDEX].oneOf.2.chain.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"\\items.items.[INDEX].oneOf.2.chain.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].oneOf.2.chain","typeLabel":"string | null"},"depositAddress":{"type":"string","description":"The Rhino.fi smart contract address on the chainIn that received the tokens to initiate the bridge.","uniqueKey":"\\items.items.[INDEX].oneOf.2.depositAddress","typeLabel":"string"},"depositDiscoveredAt":{"type":"string","uniqueKey":"\\items.items.[INDEX].oneOf.2.depositDiscoveredAt","typeLabel":"string"},"depositConfirmedAt":{"type":"string","uniqueKey":"\\items.items.[INDEX].oneOf.2.depositConfirmedAt","typeLabel":"string"},"expectedDepositConfirmedAt":{"type":"string","uniqueKey":"\\items.items.[INDEX].oneOf.2.expectedDepositConfirmedAt","typeLabel":"string"},"expectedDepositConfirmedAtBlock":{"type":"integer","description":"The block on the chainIn at which the deposit transaction is expected to reach the required number of confirmations.","uniqueKey":"\\items.items.[INDEX].oneOf.2.expectedDepositConfirmedAtBlock","typeLabel":"integer"},"preSwapTxHash":{"type":"string","description":"The transaction hash of the swap performed on the chainIn before bridging.","uniqueKey":"\\items.items.[INDEX].oneOf.2.preSwapTxHash","typeLabel":"string"},"preSwapCommittedAt":{"type":"string","uniqueKey":"\\items.items.[INDEX].oneOf.2.preSwapCommittedAt","typeLabel":"string"},"isConfirmed":{"type":"boolean","description":"Whether the deposit transaction has reached the required number of confirmations on the chainIn.","uniqueKey":"\\items.items.[INDEX].oneOf.2.isConfirmed","typeLabel":"boolean"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.2","typeLabel":"object"},{"type":"object","required":["_tag","_id","userId","chainIn","chainOut","amountIn","amountInUsd","amountOut","amountOutUsd","amountNative","amountNativeUsd","fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd","sponsoredFees","recipient","depositor","createdAt","commitmentDate","tokenIn","tokenOut","minAmountOut","minAmountOutUsd","usdPriceTokenIn","usdPriceTokenOut","depositTxHash","depositCommittedAt","type"],"properties":{"_tag":{"type":"string","enum":["BRIDGE_ACCEPTED"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3._tag","typeLabel":"enum\u003cstring>"},"_id":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3._id","typeLabel":"string"},"userId":{"type":"string","description":"The projectID that the transaction is associated with.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.userId","typeLabel":"string"},"chainIn":{"type":"string","description":"The blockchain that the tokens were bridged from.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.chainIn","typeLabel":"string"},"chainOut":{"type":"string","description":"The blockchain that the tokens were bridged to.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.chainOut","typeLabel":"string"},"amountIn":{"type":"string","description":"The native value of the tokens that were sent on the chainIn.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.amountIn","typeLabel":"string"},"amountInUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainIn.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.amountInUsd","typeLabel":"number"},"amountOut":{"type":"string","description":"The native value of the tokens that were sent on the chainOut.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.amountOut","typeLabel":"string"},"amountOutUsd":{"type":"number","description":"The USD value of the tokens that were sent on the chainOut.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.amountOutUsd","typeLabel":"number"},"amountNative":{"oneOf":[{"type":"string","description":"The amount of native gas token (e.g. ETH, MATIC, BNB) that was delivered to the user's wallet on the destination chain as part of gas boost functionality, where Rhino.fi delivers a small amount of native gas token to the destination address, ensuring that further transactions from this address can be made immediately.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.amountNative.oneOf.0","typeLabel":"string"},{"type":"null","description":"The amount of native gas token (e.g. ETH, MATIC, BNB) that was delivered to the user's wallet on the destination chain as part of gas boost functionality, where Rhino.fi delivers a small amount of native gas token to the destination address, ensuring that further transactions from this address can be made immediately.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.amountNative.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.amountNative","typeLabel":"string | null"},"amountNativeUsd":{"oneOf":[{"type":"number","description":"The value, in USD, of amountNative.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.amountNativeUsd.oneOf.0","typeLabel":"number"},{"type":"null","description":"The value, in USD, of amountNative.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.amountNativeUsd.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.amountNativeUsd","typeLabel":"number | null"},"fee":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.fee","typeLabel":"string"},"feeUsd":{"type":"number","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.feeUsd","typeLabel":"number"},"gasFee":{"type":"string","description":"Any chain specific costs charged to the end customer for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being paid by the client then this value will be zero and the gasFee and gasFeeUsd in the sponsored fee body will be non-zero.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.gasFee","typeLabel":"string"},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.gasFeeUsd","typeLabel":"number"},"platformFee":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.platformFee","typeLabel":"string"},"platformFeeUsd":{"type":"number","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.platformFeeUsd","typeLabel":"number"},"percentageFee":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.percentageFee","typeLabel":"string"},"percentageFeeUsd":{"type":"number","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.percentageFeeUsd","typeLabel":"number"},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the end customer, unless configured this way. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.sourceGasFee","typeLabel":"string"},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.sourceGasFeeUsd","typeLabel":"number"},"sponsoredFees":{"type":"object","properties":{"fee":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.sponsoredFees.fee","typeLabel":"string"},"feeUsd":{"type":"number","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.sponsoredFees.feeUsd","typeLabel":"number"},"gasFee":{"type":"string","description":"Any chain specific costs charged to the client for the chainOut part of the overall transaction. Further information about which chains have these associated costs can be found here: https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs. If these costs are being passed on to the end user then this value will be zero and the gasFee and gasFeeUsd in the main fee body will be non-zero.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.sponsoredFees.gasFee","typeLabel":"string"},"gasFeeUsd":{"type":"number","description":"The gasFee value, in USD.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.sponsoredFees.gasFeeUsd","typeLabel":"number"},"platformFee":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.sponsoredFees.platformFee","typeLabel":"string"},"platformFeeUsd":{"type":"number","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.sponsoredFees.platformFeeUsd","typeLabel":"number"},"percentageFee":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.sponsoredFees.percentageFee","typeLabel":"string"},"percentageFeeUsd":{"type":"number","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.sponsoredFees.percentageFeeUsd","typeLabel":"number"},"sourceGasFee":{"type":"string","description":"The cost on the chainIn to sweep the received tokens into Rhino.fi's control. For legacy clients this is deducted from the tokens sent on the chainOut. For PAYG/Subscription tier clients this is paid by Rhino.fi as part of the PAYG/Subscription monthly cost so no direct cost is passed onto the client, unless configured to be passed onto the end customer. This is only relevant for transactions involving a Rhino.fi Smart Deposit Address; for bridging/swapping-only activity the sourceGasFee will be paid directly by the customer within their depositing transaction.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.sponsoredFees.sourceGasFee","typeLabel":"string"},"sourceGasFeeUsd":{"type":"number","description":"The sourceGasFee value, in USD.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.sponsoredFees.sourceGasFeeUsd","typeLabel":"number"}},"required":["fee","feeUsd","gasFee","gasFeeUsd","platformFee","platformFeeUsd","percentageFee","percentageFeeUsd","sourceGasFee","sourceGasFeeUsd"],"additionalProperties":false,"description":"For both legacy and PAYG/Subscription clients, represents the fees that are paid by the client on behalf of the end customer.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.sponsoredFees","typeLabel":"object"},"recipient":{"type":"string","description":"The address on the chainOut that received the bridged tokens.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.recipient","typeLabel":"string"},"depositor":{"type":"string","description":"The address on the chainIn that sent the tokens for bridging.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.depositor","typeLabel":"string"},"createdAt":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.createdAt","typeLabel":"string"},"commitmentDate":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.commitmentDate","typeLabel":"string"},"tokenIn":{"type":"string","description":"The asset that was sent on the chainIn.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.tokenIn","typeLabel":"string"},"tokenOut":{"type":"string","description":"The asset that was received on the chainOut.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.tokenOut","typeLabel":"string"},"minAmountOut":{"type":"string","description":"The minimum native value of tokenOut guaranteed to be received on the chainOut, after slippage.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.minAmountOut","typeLabel":"string"},"minAmountOutUsd":{"type":"number","description":"The USD value of the minAmountOut.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.minAmountOutUsd","typeLabel":"number"},"usdPriceTokenIn":{"type":"number","description":"The USD price of the tokenIn at the time the quote was created.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.usdPriceTokenIn","typeLabel":"number"},"usdPriceTokenOut":{"type":"number","description":"The USD price of the tokenOut at the time the quote was created.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.usdPriceTokenOut","typeLabel":"number"},"depositTxHash":{"type":"string","description":"The transaction hash of the deposit made on the chainIn.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.depositTxHash","typeLabel":"string"},"depositCommittedAt":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.depositCommittedAt","typeLabel":"string"},"type":{"type":"string","enum":["bridgeSwap"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.type","typeLabel":"enum\u003cstring>"},"speed":{"type":"string","enum":["fast","standard","slow"],"description":"Provides information about whether the transaction is expected to be completed \"fast\" (typically under 30 seconds), \"standard\" (typically under a minute) or \"slow\" (can be up to 20 minutes). For more information on our bridge processing speeds please read this article on the Rhino.fi Knowledge Base: https://learn.rhino.fi/articles/8257872655-bridge-speed.","uniqueKey":"\\items.items.[INDEX].oneOf.3.speed","typeLabel":"enum\u003cstring>"},"estimatedDuration":{"oneOf":[{"type":"number","uniqueKey":"\\items.items.[INDEX].oneOf.3.estimatedDuration.oneOf.0","typeLabel":"number"},{"type":"string","enum":["Infinity","-Infinity","NaN"],"uniqueKey":"\\items.items.[INDEX].oneOf.3.estimatedDuration.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"\\items.items.[INDEX].oneOf.3.estimatedDuration","typeLabel":"number | enum\u003cstring>"},"postBridgeData":{"oneOf":[{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag","vaultId"],"properties":{"_tag":{"type":"string","enum":["extended"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.postBridgeData.oneOf.0._tag","typeLabel":"enum\u003cstring>"},"vaultId":{"type":"integer","minimum":0,"description":"A variable relating to the specific post bridge action.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.postBridgeData.oneOf.0.vaultId","typeLabel":"integer"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.3.postBridgeData.oneOf.0","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag"],"properties":{"_tag":{"type":"string","enum":["starkwarebtcfi"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.postBridgeData.oneOf.1._tag","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.3.postBridgeData.oneOf.1","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag"],"properties":{"_tag":{"type":"string","enum":["wirexwrap"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.postBridgeData.oneOf.2._tag","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.3.postBridgeData.oneOf.2","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag"],"properties":{"_tag":{"type":"string","enum":["wirexwrapsandbox"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.postBridgeData.oneOf.3._tag","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.3.postBridgeData.oneOf.3","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag","spans"],"properties":{"_tag":{"type":"string","enum":["starkwarebtcfiv2"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.postBridgeData.oneOf.4._tag","typeLabel":"enum\u003cstring>"},"spans":{"type":"array","items":{"type":"string","uniqueKey":"\\items.items.[INDEX].oneOf.3.postBridgeData.oneOf.4.spans.items.[INDEX]","typeLabel":"string"},"maxItems":70,"description":"A variable relating to the specific post bridge action.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.postBridgeData.oneOf.4.spans","typeLabel":"string[]"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.3.postBridgeData.oneOf.4","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag"],"properties":{"_tag":{"type":"string","enum":["aavev3supply"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.postBridgeData.oneOf.5._tag","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.3.postBridgeData.oneOf.5","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag"],"properties":{"_tag":{"type":"string","enum":["rocketfoundationdeposit"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.postBridgeData.oneOf.6._tag","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.3.postBridgeData.oneOf.6","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag"],"properties":{"_tag":{"type":"string","enum":["mapledeposit"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.postBridgeData.oneOf.7._tag","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.3.postBridgeData.oneOf.7","typeLabel":"object"},{"type":"object","description":"Custom Routing Rules as configured by Rhino.fi for a specific client, e.g. to move funds after the initial bridge into a yield bearing vault. To understand more about how Routing Rules can help automate onchain actions and ensure that your funds land in an active state, please contact your Rhino.fi Customer Success Manager or speak to a member of the Rhino.fi sales team.","required":["_tag"],"properties":{"_tag":{"type":"string","enum":["etherfideposit"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.postBridgeData.oneOf.8._tag","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.3.postBridgeData.oneOf.8","typeLabel":"object"}],"uniqueKey":"\\items.items.[INDEX].oneOf.3.postBridgeData","typeLabel":"object"},"flowCredits":{"type":"number","description":"The number of Flow Credits that this transaction will use from the client's agreed Rhino.fi PAYG/Subscription tier.","uniqueKey":"\\items.items.[INDEX].oneOf.3.flowCredits","typeLabel":"number"},"preSwap":{"type":"object","properties":{"tokenIn":{"type":"string","description":"The asset that was swapped from.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.preSwap.tokenIn","typeLabel":"string"},"tokenOut":{"type":"string","description":"The asset that was swapped to.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.preSwap.tokenOut","typeLabel":"string"},"amountIn":{"type":"string","description":"The native value of the tokens that were swapped from.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.preSwap.amountIn","typeLabel":"string"},"amountInUsd":{"type":"number","description":"The USD value of the tokens that were swapped from.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.preSwap.amountInUsd","typeLabel":"number"},"amountOut":{"type":"string","description":"The native value of the tokens that were received from the swap.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.preSwap.amountOut","typeLabel":"string"},"amountOutUsd":{"type":"number","description":"The USD value of the tokens that were received from the swap.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.preSwap.amountOutUsd","typeLabel":"number"},"minAmountOut":{"type":"string","description":"The minimum native value of tokens guaranteed to be received from the swap, after slippage.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.preSwap.minAmountOut","typeLabel":"string"},"minAmountOutUsd":{"type":"number","description":"The USD value of the minAmountOut.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.preSwap.minAmountOutUsd","typeLabel":"number"},"aggregator":{"oneOf":[{"type":"string","title":"KYBERSWAP","description":"The swap aggregator used to execute the swap.","enum":["KYBERSWAP"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.preSwap.aggregator.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"string","title":"RHINO","description":"The swap aggregator used to execute the swap.","enum":["RHINO"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.preSwap.aggregator.oneOf.1","typeLabel":"enum\u003cstring>"},{"type":"string","title":"ONEINCH","description":"The swap aggregator used to execute the swap.","enum":["ONEINCH"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.preSwap.aggregator.oneOf.2","typeLabel":"enum\u003cstring>"},{"type":"string","title":"BEBOP","description":"The swap aggregator used to execute the swap.","enum":["BEBOP"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.preSwap.aggregator.oneOf.3","typeLabel":"enum\u003cstring>"}],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.preSwap.aggregator","typeLabel":"enum\u003cstring>"}},"required":["tokenIn","tokenOut","amountIn","amountInUsd","amountOut","amountOutUsd","minAmountOut","minAmountOutUsd","aggregator"],"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].oneOf.3.preSwap","typeLabel":"object"},"postSwap":{"type":"object","properties":{"tokenIn":{"type":"string","description":"The asset that was swapped from.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.postSwap.tokenIn","typeLabel":"string"},"tokenOut":{"type":"string","description":"The asset that was swapped to.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.postSwap.tokenOut","typeLabel":"string"},"amountIn":{"type":"string","description":"The native value of the tokens that were swapped from.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.postSwap.amountIn","typeLabel":"string"},"amountInUsd":{"type":"number","description":"The USD value of the tokens that were swapped from.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.postSwap.amountInUsd","typeLabel":"number"},"amountOut":{"type":"string","description":"The native value of the tokens that were received from the swap.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.postSwap.amountOut","typeLabel":"string"},"amountOutUsd":{"type":"number","description":"The USD value of the tokens that were received from the swap.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.postSwap.amountOutUsd","typeLabel":"number"},"minAmountOut":{"type":"string","description":"The minimum native value of tokens guaranteed to be received from the swap, after slippage.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.postSwap.minAmountOut","typeLabel":"string"},"minAmountOutUsd":{"type":"number","description":"The USD value of the minAmountOut.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.postSwap.minAmountOutUsd","typeLabel":"number"},"aggregator":{"oneOf":[{"type":"string","title":"KYBERSWAP","description":"The swap aggregator used to execute the swap.","enum":["KYBERSWAP"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.postSwap.aggregator.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"string","title":"RHINO","description":"The swap aggregator used to execute the swap.","enum":["RHINO"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.postSwap.aggregator.oneOf.1","typeLabel":"enum\u003cstring>"},{"type":"string","title":"ONEINCH","description":"The swap aggregator used to execute the swap.","enum":["ONEINCH"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].oneOf.3.postSwap.aggregat
[...]
